Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/ManagedOfficeProcess.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/ManagedOfficeProcess.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/ManagedOfficeProcess.java	(revision 2406)
@@ -23,57 +23,63 @@
 import com.sun.star.lang.DisposedException;
 
 class ManagedOfficeProcess {
-
+	
 	private static final Integer EXIT_CODE_NEW_INSTALLATION = Integer.valueOf(81);
-
+	
 	private final ManagedOfficeProcessSettings settings;
-
+	
 	private final OfficeProcess process;
+	
 	private final OfficeConnection connection;
-
+	
 	private ExecutorService executor = Executors.newSingleThreadExecutor(new NamedThreadFactory("OfficeProcessThread"));
-
+	
 	private final Logger logger = Logger.getLogger(getClass().getName());
-
+	
 	public ManagedOfficeProcess(ManagedOfficeProcessSettings settings) throws OfficeException {
 		this.settings = settings;
 		process = new OfficeProcess(settings.getOfficeHome(), settings.getUnoUrl(), settings.getRunAsArgs(), settings.getTemplateProfileDir(), settings.getWorkDir(), settings
 				.getProcessManager());
 		connection = new OfficeConnection(settings.getUnoUrl());
 	}
-
+	
 	public OfficeConnection getConnection() {
 		return connection;
 	}
-
+	
 	public void startAndWait() throws OfficeException {
 		Future<?> future = executor.submit(new Runnable() {
+			
 			public void run() {
 				doStartProcessAndConnect();
 			}
 		});
 		try {
 			future.get();
-		} catch (Exception exception) {
+		}
+		catch (Exception exception) {
 			throw new OfficeException("failed to start and connect", exception);
 		}
 	}
-
+	
 	public void stopAndWait() throws OfficeException {
 		Future<?> future = executor.submit(new Runnable() {
+			
 			public void run() {
 				doStopProcess();
 			}
 		});
 		try {
 			future.get();
-		} catch (Exception exception) {
+		}
+		catch (Exception exception) {
 			throw new OfficeException("failed to start and connect", exception);
 		}
 	}
-
+	
 	public void restartAndWait() {
 		Future<?> future = executor.submit(new Runnable() {
+			
 			public void run() {
 				doStopProcess();
 				doStartProcessAndConnect();
@@ -81,96 +87,109 @@
 		});
 		try {
 			future.get();
-		} catch (Exception exception) {
+		}
+		catch (Exception exception) {
 			throw new OfficeException("failed to restart", exception);
 		}
 	}
-
+	
 	public void restartDueToTaskTimeout() {
 		executor.execute(new Runnable() {
+			
 			public void run() {
 				doTerminateProcess();
 				// will cause unexpected disconnection and subsequent restart
 			}
 		});
 	}
-
+	
 	public void restartDueToLostConnection() {
 		executor.execute(new Runnable() {
+			
 			public void run() {
 				try {
 					doEnsureProcessExited();
 					doStartProcessAndConnect();
-				} catch (OfficeException officeException) {
+				}
+				catch (OfficeException officeException) {
 					if (DefaultOfficeManagerConfiguration.DEBUG) logger.log(Level.SEVERE, "could not restart process", officeException);
 				}
 			}
 		});
 	}
-
+	
 	private void doStartProcessAndConnect() throws OfficeException {
 		try {
 			process.start();
 			new Retryable() {
+				
 				protected void attempt() throws TemporaryException, Exception {
 					try {
 						connection.connect();
-					} catch (ConnectException connectException) {
+					}
+					catch (ConnectException connectException) {
 						Integer exitCode = process.getExitCode();
 						if (exitCode == null) {
 							// process is running; retry later
 							throw new TemporaryException(connectException);
-						} else if (exitCode.equals(EXIT_CODE_NEW_INSTALLATION)) {
+						}
+						else if (exitCode.equals(EXIT_CODE_NEW_INSTALLATION)) {
 							// restart and retry later
 							// see http://code.google.com/p/jodconverter/issues/detail?id=84
 							if (DefaultOfficeManagerConfiguration.DEBUG) logger.log(Level.WARNING, "office process died with exit code 81; restarting it");
 							process.start(true);
 							throw new TemporaryException(connectException);
-						} else {
+						}
+						else {
 							throw new OfficeException("office process died with exit code " + exitCode);
 						}
 					}
 				}
 			}.execute(settings.getRetryInterval(), settings.getRetryTimeout());
-		} catch (Exception exception) {
+		}
+		catch (Exception exception) {
 			throw new OfficeException("could not establish connection", exception);
 		}
 	}
-
+	
 	private void doStopProcess() {
 		try {
 			XDesktop desktop = OfficeUtils.cast(XDesktop.class, connection.getService(OfficeUtils.SERVICE_DESKTOP));
 			desktop.terminate();
-		} catch (DisposedException disposedException) {
+		}
+		catch (DisposedException disposedException) {
 			// expected
-		} catch (Exception exception) {
+		}
+		catch (Exception exception) {
 			// in case we can't get hold of the desktop
 			doTerminateProcess();
 		}
 		doEnsureProcessExited();
 	}
-
+	
 	private void doEnsureProcessExited() throws OfficeException {
 		try {
 			int exitCode = process.getExitCode(settings.getRetryInterval(), settings.getRetryTimeout());
 			if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("process exited with code " + exitCode);
-		} catch (RetryTimeoutException retryTimeoutException) {
+		}
+		catch (RetryTimeoutException retryTimeoutException) {
 			doTerminateProcess();
 		}
 		process.deleteProfileDir();
 	}
-
+	
 	private void doTerminateProcess() throws OfficeException {
 		try {
 			int exitCode = process.forciblyTerminate(settings.getRetryInterval(), settings.getRetryTimeout());
 			if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("process forcibly terminated with code " + exitCode);
-		} catch (Exception exception) {
+		}
+		catch (Exception exception) {
 			throw new OfficeException("could not terminate process", exception);
 		}
 	}
-
+	
 	boolean isConnected() {
 		return connection.isConnected();
 	}
-
+	
 }
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeConnection.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeConnection.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeConnection.java	(revision 2406)
@@ -32,86 +32,92 @@
 import com.sun.star.uno.XComponentContext;
 
 class OfficeConnection implements OfficeContext {
-
-    private static AtomicInteger bridgeIndex = new AtomicInteger();
-
-    private final UnoUrl unoUrl;
-
-    private XComponent bridgeComponent;
-    private XMultiComponentFactory serviceManager;
-    private XComponentContext componentContext;
-
-    private final List<OfficeConnectionEventListener> connectionEventListeners = new ArrayList<OfficeConnectionEventListener>();
-
-    private volatile boolean connected = false;
-
-    private XEventListener bridgeListener = new XEventListener() {
-        public void disposing(EventObject event) {
-            if (connected) {
-                connected = false;
-                if (DefaultOfficeManagerConfiguration.DEBUG) logger.info(String.format("disconnected: '%s'", unoUrl));
-                OfficeConnectionEvent connectionEvent = new OfficeConnectionEvent(OfficeConnection.this);
-                for (OfficeConnectionEventListener listener : connectionEventListeners) {
-                    listener.disconnected(connectionEvent);
-                }
-            }
-            // else we tried to connect to a server that doesn't speak URP
-        }
-    };
-
-    private final Logger logger = Logger.getLogger(getClass().getName());
-
-    public OfficeConnection(UnoUrl unoUrl) {
-        this.unoUrl = unoUrl;
-    }
-
-    public void addConnectionEventListener(OfficeConnectionEventListener connectionEventListener) {
-        connectionEventListeners.add(connectionEventListener);
-    }
-
-    public void connect() throws ConnectException {
-        logger.fine(String.format("connecting with connectString '%s'", unoUrl));
-        try {
-            XComponentContext localContext = Bootstrap.createInitialComponentContext(null);
-            XMultiComponentFactory localServiceManager = localContext.getServiceManager();
-            XConnector connector = OfficeUtils.cast(XConnector.class, localServiceManager.createInstanceWithContext("com.sun.star.connection.Connector", localContext));
-            XConnection connection = connector.connect(unoUrl.getConnectString());
-            XBridgeFactory bridgeFactory = OfficeUtils.cast(XBridgeFactory.class, localServiceManager.createInstanceWithContext("com.sun.star.bridge.BridgeFactory", localContext));
-            String bridgeName = "jodconverter_" + bridgeIndex.getAndIncrement();
-            XBridge bridge = bridgeFactory.createBridge(bridgeName, "urp", connection, null);
-            bridgeComponent = OfficeUtils.cast(XComponent.class, bridge);
-            bridgeComponent.addEventListener(bridgeListener);
-            serviceManager = OfficeUtils.cast(XMultiComponentFactory.class, bridge.getInstance("StarOffice.ServiceManager"));
-            XPropertySet properties = OfficeUtils.cast(XPropertySet.class, serviceManager);
-            componentContext = OfficeUtils.cast(XComponentContext.class, properties.getPropertyValue("DefaultContext"));
-            connected = true;
-            if (DefaultOfficeManagerConfiguration.DEBUG) logger.info(String.format("connected: '%s'", unoUrl));
-            OfficeConnectionEvent connectionEvent = new OfficeConnectionEvent(this);
-            for (OfficeConnectionEventListener listener : connectionEventListeners) {
-                listener.connected(connectionEvent);
-            }
-        } catch (NoConnectException connectException) {
-            throw new ConnectException(String.format("connection failed: '%s'; %s", unoUrl, connectException.getMessage()));
-        } catch (Exception exception) {
-            throw new OfficeException("connection failed: "+ unoUrl, exception);
-        }
-    }
-
-    public boolean isConnected() {
-        return connected;
-    }
-
-    public synchronized void disconnect() {
-        logger.fine(String.format("disconnecting: '%s'", unoUrl));
-        bridgeComponent.dispose();
-    }
-
-    public Object getService(String serviceName) {
-        try {
-            return serviceManager.createInstanceWithContext(serviceName, componentContext);
-        } catch (Exception exception) {
-            throw new OfficeException(String.format("failed to obtain service '%s'", serviceName), exception);
-        }
-    }
-
+	
+	private static AtomicInteger bridgeIndex = new AtomicInteger();
+	
+	private final UnoUrl unoUrl;
+	
+	private XComponent bridgeComponent;
+	
+	private XMultiComponentFactory serviceManager;
+	
+	private XComponentContext componentContext;
+	
+	private final List<OfficeConnectionEventListener> connectionEventListeners = new ArrayList<OfficeConnectionEventListener>();
+	
+	private volatile boolean connected = false;
+	
+	private XEventListener bridgeListener = new XEventListener() {
+		
+		public void disposing(EventObject event) {
+			if (connected) {
+				connected = false;
+				if (DefaultOfficeManagerConfiguration.DEBUG) logger.info(String.format("disconnected: '%s'", unoUrl));
+				OfficeConnectionEvent connectionEvent = new OfficeConnectionEvent(OfficeConnection.this);
+				for (OfficeConnectionEventListener listener : connectionEventListeners) {
+					listener.disconnected(connectionEvent);
+				}
+			}
+			// else we tried to connect to a server that doesn't speak URP
+		}
+	};
+	
+	private final Logger logger = Logger.getLogger(getClass().getName());
+	
+	public OfficeConnection(UnoUrl unoUrl) {
+		this.unoUrl = unoUrl;
+	}
+	
+	public void addConnectionEventListener(OfficeConnectionEventListener connectionEventListener) {
+		connectionEventListeners.add(connectionEventListener);
+	}
+	
+	public void connect() throws ConnectException {
+		logger.fine(String.format("connecting with connectString '%s'", unoUrl));
+		try {
+			XComponentContext localContext = Bootstrap.createInitialComponentContext(null);
+			XMultiComponentFactory localServiceManager = localContext.getServiceManager();
+			XConnector connector = OfficeUtils.cast(XConnector.class, localServiceManager.createInstanceWithContext("com.sun.star.connection.Connector", localContext));
+			XConnection connection = connector.connect(unoUrl.getConnectString());
+			XBridgeFactory bridgeFactory = OfficeUtils.cast(XBridgeFactory.class, localServiceManager.createInstanceWithContext("com.sun.star.bridge.BridgeFactory", localContext));
+			String bridgeName = "jodconverter_" + bridgeIndex.getAndIncrement();
+			XBridge bridge = bridgeFactory.createBridge(bridgeName, "urp", connection, null);
+			bridgeComponent = OfficeUtils.cast(XComponent.class, bridge);
+			bridgeComponent.addEventListener(bridgeListener);
+			serviceManager = OfficeUtils.cast(XMultiComponentFactory.class, bridge.getInstance("StarOffice.ServiceManager"));
+			XPropertySet properties = OfficeUtils.cast(XPropertySet.class, serviceManager);
+			componentContext = OfficeUtils.cast(XComponentContext.class, properties.getPropertyValue("DefaultContext"));
+			connected = true;
+			if (DefaultOfficeManagerConfiguration.DEBUG) logger.info(String.format("connected: '%s'", unoUrl));
+			OfficeConnectionEvent connectionEvent = new OfficeConnectionEvent(this);
+			for (OfficeConnectionEventListener listener : connectionEventListeners) {
+				listener.connected(connectionEvent);
+			}
+		}
+		catch (NoConnectException connectException) {
+			throw new ConnectException(String.format("connection failed: '%s'; %s", unoUrl, connectException.getMessage()));
+		}
+		catch (Exception exception) {
+			throw new OfficeException("connection failed: " + unoUrl, exception);
+		}
+	}
+	
+	public boolean isConnected() {
+		return connected;
+	}
+	
+	public synchronized void disconnect() {
+		logger.fine(String.format("disconnecting: '%s'", unoUrl));
+		bridgeComponent.dispose();
+	}
+	
+	public Object getService(String serviceName) {
+		try {
+			return serviceManager.createInstanceWithContext(serviceName, componentContext);
+		}
+		catch (Exception exception) {
+			throw new OfficeException(String.format("failed to obtain service '%s'", serviceName), exception);
+		}
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeUtils.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeUtils.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeUtils.java	(revision 2406)
@@ -21,100 +21,100 @@
 import com.sun.star.uno.UnoRuntime;
 
 public class OfficeUtils {
-
-    public static final String SERVICE_DESKTOP = "com.sun.star.frame.Desktop";
-
-    private OfficeUtils() {
-        throw new AssertionError("utility class must not be instantiated");
-    }
-
-    public static <T> T cast(Class<T> type, Object object) {
-        return (T) UnoRuntime.queryInterface(type, object);
-    }
-
-    public static PropertyValue property(String name, Object value) {
-        PropertyValue propertyValue = new PropertyValue();
-        propertyValue.Name = name;
-        propertyValue.Value = value;
-        return propertyValue;
-    }
-
-    @SuppressWarnings("unchecked")
-    public static PropertyValue[] toUnoProperties(Map<String,?> properties) {
-        PropertyValue[] propertyValues = new PropertyValue[properties.size()];
-        int i = 0;
-        for (Map.Entry<String,?> entry : properties.entrySet()) {
-            Object value = entry.getValue();
-            if (value instanceof Map) {
-                Map<String,Object> subProperties = (Map<String,Object>) value;
-                value = toUnoProperties(subProperties);
-            }
-            propertyValues[i++] = property((String) entry.getKey(), value);
-        }
-        return propertyValues;
-    }
-
-    public static String toUrl(File file) {
-        String path = file.toURI().getRawPath();
-        String url = path.startsWith("//") ? "file:" + path : "file://" + path;
-        return url.endsWith("/") ? url.substring(0, url.length() - 1) : url;
-    }
-
-    public static File getDefaultOfficeHome() {
-        if (System.getProperty("office.home") != null) {
-            return new File(System.getProperty("office.home"));
-        }
-        if (PlatformUtils.isWindows()) {
-            // %ProgramFiles(x86)% on 64-bit machines; %ProgramFiles% on 32-bit ones
-            String programFiles = System.getenv("ProgramFiles(x86)");
-            if (programFiles == null) {
-                programFiles = System.getenv("ProgramFiles");
-            }
-            return findOfficeHome(
-                programFiles + File.separator + "OpenOffice.org 3",
-                programFiles + File.separator + "OpenOffice 4",
-                programFiles + File.separator + "OpenOffice 5", // 
-                programFiles + File.separator + "OpenOffice",
-                programFiles + File.separator + "LibreOffice 3",
-                programFiles + File.separator + "LibreOffice 4",
-                programFiles + File.separator + "LibreOffice 5",
-                programFiles + File.separator + "LibreOffice"
-            );
-        } else if (PlatformUtils.isMac()) {
-            return findOfficeHome(
-                "/Applications/OpenOffice.org.app/Contents", // up to version 3
-                "/Applications/OpenOffice.app/Contents", // since version 4+
-                "/Applications/LibreOffice.app/Contents"
-            );
-        } else {
-            // Linux or other *nix variants
-            return findOfficeHome(
-                "/opt/openoffice.org3",
-                "/opt/openoffice.org3",
-                "/opt/libreoffice",
-                "/usr/lib/openoffice",
-                "/usr/lib/libreoffice"
-            );
-        }
-    }
-
-    private static File findOfficeHome(String... knownPaths) {
-    	//System.out.println("FIND OFFICE IN "+Arrays.toString(knownPaths));
-        for (String path : knownPaths) {
-            File home = new File(path);
-            if (getOfficeExecutable(home).isFile()) {
-                return home;
-            }
-        }
-        return null;
-    }
-
-    public static File getOfficeExecutable(File officeHome) {
-        if (PlatformUtils.isMac()) {
-            return new File(officeHome, "MacOS/soffice.bin");
-        } else {
-            return new File(officeHome, "program/soffice.bin");
-        }
-    }
-
+	
+	public static final String SERVICE_DESKTOP = "com.sun.star.frame.Desktop";
+	
+	private OfficeUtils() {
+		throw new AssertionError("utility class must not be instantiated");
+	}
+	
+	public static <T> T cast(Class<T> type, Object object) {
+		return (T) UnoRuntime.queryInterface(type, object);
+	}
+	
+	public static PropertyValue property(String name, Object value) {
+		PropertyValue propertyValue = new PropertyValue();
+		propertyValue.Name = name;
+		propertyValue.Value = value;
+		return propertyValue;
+	}
+	
+	@SuppressWarnings("unchecked")
+	public static PropertyValue[] toUnoProperties(Map<String, ?> properties) {
+		PropertyValue[] propertyValues = new PropertyValue[properties.size()];
+		int i = 0;
+		for (Map.Entry<String, ?> entry : properties.entrySet()) {
+			Object value = entry.getValue();
+			if (value instanceof Map) {
+				Map<String, Object> subProperties = (Map<String, Object>) value;
+				value = toUnoProperties(subProperties);
+			}
+			propertyValues[i++] = property((String) entry.getKey(), value);
+		}
+		return propertyValues;
+	}
+	
+	public static String toUrl(File file) {
+		String path = file.toURI().getRawPath();
+		String url = path.startsWith("//") ? "file:" + path : "file://" + path;
+		return url.endsWith("/") ? url.substring(0, url.length() - 1) : url;
+	}
+	
+	public static File getDefaultOfficeHome() {
+		if (System.getProperty("office.home") != null) {
+			return new File(System.getProperty("office.home"));
+		}
+		if (PlatformUtils.isWindows()) {
+			// %ProgramFiles(x86)% on 64-bit machines; %ProgramFiles% on 32-bit ones
+			String programFiles = System.getenv("ProgramFiles(x86)");
+			if (programFiles == null) {
+				programFiles = System.getenv("ProgramFiles");
+			}
+			return findOfficeHome(
+					programFiles + File.separator + "OpenOffice.org 3",
+					programFiles + File.separator + "OpenOffice 4",
+					programFiles + File.separator + "OpenOffice 5", //
+					programFiles + File.separator + "OpenOffice",
+					programFiles + File.separator + "LibreOffice 3",
+					programFiles + File.separator + "LibreOffice 4",
+					programFiles + File.separator + "LibreOffice 5",
+					programFiles + File.separator + "LibreOffice");
+		}
+		else if (PlatformUtils.isMac()) {
+			return findOfficeHome(
+					"/Applications/OpenOffice.org.app/Contents", // up to version 3
+					"/Applications/OpenOffice.app/Contents", // since version 4+
+					"/Applications/LibreOffice.app/Contents");
+		}
+		else {
+			// Linux or other *nix variants
+			return findOfficeHome(
+					"/opt/openoffice.org3",
+					"/opt/openoffice.org3",
+					"/opt/libreoffice",
+					"/usr/lib/openoffice",
+					"/usr/lib/libreoffice");
+		}
+	}
+	
+	private static File findOfficeHome(String... knownPaths) {
+		// System.out.println("FIND OFFICE IN "+Arrays.toString(knownPaths));
+		for (String path : knownPaths) {
+			File home = new File(path);
+			if (getOfficeExecutable(home).isFile()) {
+				return home;
+			}
+		}
+		return null;
+	}
+	
+	public static File getOfficeExecutable(File officeHome) {
+		if (PlatformUtils.isMac()) {
+			return new File(officeHome, "MacOS/soffice.bin");
+		}
+		else {
+			return new File(officeHome, "program/soffice.bin");
+		}
+	}
+	
 }
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/ProcessPoolOfficeManager.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/ProcessPoolOfficeManager.java	(revision 2405)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/ProcessPoolOfficeManager.java	(revision 2406)
@@ -21,90 +21,95 @@
 import org.artofsolving.jodconverter.process.ProcessManager;
 
 class ProcessPoolOfficeManager implements OfficeManager {
-
-    private final BlockingQueue<PooledOfficeManager> pool;
-    private final PooledOfficeManager[] pooledManagers;
-    private final long taskQueueTimeout;
-
-    private volatile boolean running = false;
-
-    private final Logger logger = Logger.getLogger(ProcessPoolOfficeManager.class.getName());
-
-    public ProcessPoolOfficeManager(File officeHome, UnoUrl[] unoUrls, String[] runAsArgs, File templateProfileDir, File workDir,
-            long retryTimeout, long taskQueueTimeout, long taskExecutionTimeout, int maxTasksPerProcess,
-            ProcessManager processManager) {
+	
+	private final BlockingQueue<PooledOfficeManager> pool;
+	
+	private final PooledOfficeManager[] pooledManagers;
+	
+	private final long taskQueueTimeout;
+	
+	private volatile boolean running = false;
+	
+	private final Logger logger = Logger.getLogger(ProcessPoolOfficeManager.class.getName());
+	
+	public ProcessPoolOfficeManager(File officeHome, UnoUrl[] unoUrls, String[] runAsArgs, File templateProfileDir, File workDir,
+			long retryTimeout, long taskQueueTimeout, long taskExecutionTimeout, int maxTasksPerProcess,
+			ProcessManager processManager) {
 		this.taskQueueTimeout = taskQueueTimeout;
-        pool = new ArrayBlockingQueue<PooledOfficeManager>(unoUrls.length);
-        pooledManagers = new PooledOfficeManager[unoUrls.length];
-        for (int i = 0; i < unoUrls.length; i++) {
-            PooledOfficeManagerSettings settings = new PooledOfficeManagerSettings(unoUrls[i]);
-            settings.setRunAsArgs(runAsArgs);
-            settings.setTemplateProfileDir(templateProfileDir);
-            settings.setWorkDir(workDir);
-            settings.setOfficeHome(officeHome);
-            settings.setRetryTimeout(retryTimeout);
-            settings.setTaskExecutionTimeout(taskExecutionTimeout);
-            settings.setMaxTasksPerProcess(maxTasksPerProcess);
-            settings.setProcessManager(processManager);
-            pooledManagers[i] = new PooledOfficeManager(settings);
-        }
-        if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("ProcessManager implementation is " + processManager.getClass().getSimpleName());
-    }
-
-    public synchronized void start() throws OfficeException {
-        for (int i = 0; i < pooledManagers.length; i++) {
-            pooledManagers[i].start();
-            releaseManager(pooledManagers[i]);
-        }
-        running = true;
-    }
-
-    public void execute(OfficeTask task) throws IllegalStateException, OfficeException {
-        if (!running) {
-            throw new IllegalStateException("this OfficeManager is currently stopped");
-        }
-        PooledOfficeManager manager = null;
-        try {
-            manager = acquireManager();
-            if (manager == null) {
-                throw new OfficeException("no office manager available");
-            }
-            manager.execute(task);
-        } finally {
-            if (manager != null) {
-                releaseManager(manager);
-            }
-        }
-    }
-
-    public synchronized void stop() throws OfficeException {
-        running = false;
-        if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("stopping");
-        pool.clear();
-        for (int i = 0; i < pooledManagers.length; i++) {
-            pooledManagers[i].stop();
-        }
-        if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("stopped");
-    }
-
-    private PooledOfficeManager acquireManager() {
-        try {
-            return pool.poll(taskQueueTimeout, TimeUnit.MILLISECONDS);
-        } catch (InterruptedException interruptedException) {
-            throw new OfficeException("interrupted", interruptedException);
-        }
-    }
-
-    private void releaseManager(PooledOfficeManager manager) {
-        try {
-            pool.put(manager);
-        } catch (InterruptedException interruptedException) {
-            throw new OfficeException("interrupted", interruptedException);
-        }
-    }
-
+		pool = new ArrayBlockingQueue<PooledOfficeManager>(unoUrls.length);
+		pooledManagers = new PooledOfficeManager[unoUrls.length];
+		for (int i = 0; i < unoUrls.length; i++) {
+			PooledOfficeManagerSettings settings = new PooledOfficeManagerSettings(unoUrls[i]);
+			settings.setRunAsArgs(runAsArgs);
+			settings.setTemplateProfileDir(templateProfileDir);
+			settings.setWorkDir(workDir);
+			settings.setOfficeHome(officeHome);
+			settings.setRetryTimeout(retryTimeout);
+			settings.setTaskExecutionTimeout(taskExecutionTimeout);
+			settings.setMaxTasksPerProcess(maxTasksPerProcess);
+			settings.setProcessManager(processManager);
+			pooledManagers[i] = new PooledOfficeManager(settings);
+		}
+		if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("ProcessManager implementation is " + processManager.getClass().getSimpleName());
+	}
+	
+	public synchronized void start() throws OfficeException {
+		for (int i = 0; i < pooledManagers.length; i++) {
+			pooledManagers[i].start();
+			releaseManager(pooledManagers[i]);
+		}
+		running = true;
+	}
+	
+	public void execute(OfficeTask task) throws IllegalStateException, OfficeException {
+		if (!running) {
+			throw new IllegalStateException("this OfficeManager is currently stopped");
+		}
+		PooledOfficeManager manager = null;
+		try {
+			manager = acquireManager();
+			if (manager == null) {
+				throw new OfficeException("no office manager available");
+			}
+			manager.execute(task);
+		}
+		finally {
+			if (manager != null) {
+				releaseManager(manager);
+			}
+		}
+	}
+	
+	public synchronized void stop() throws OfficeException {
+		running = false;
+		if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("stopping");
+		pool.clear();
+		for (int i = 0; i < pooledManagers.length; i++) {
+			pooledManagers[i].stop();
+		}
+		if (DefaultOfficeManagerConfiguration.DEBUG) logger.info("stopped");
+	}
+	
+	private PooledOfficeManager acquireManager() {
+		try {
+			return pool.poll(taskQueueTimeout, TimeUnit.MILLISECONDS);
+		}
+		catch (InterruptedException interruptedException) {
+			throw new OfficeException("interrupted", interruptedException);
+		}
+	}
+	
+	private void releaseManager(PooledOfficeManager manager) {
+		try {
+			pool.put(manager);
+		}
+		catch (InterruptedException interruptedException) {
+			throw new OfficeException("interrupted", interruptedException);
+		}
+	}
+	
 	public boolean isRunning() {
 		return running;
 	}
-
+	
 }
